libssh: sk_resident_key Struct Reference

libssh 0.12.2 The SSH library

Loading...
Searching...
No Matches
Data Fields
sk_resident_key Struct Reference

Structure representing a resident/discoverable credential. More...

`#include <sk_api.h>`

## Data Fields
uint32_t | alg
| Cryptographic algorithm identifier for this key.
size_t | slot
| Slot/index number of this key on the authenticator.
char * | application
| Relying Party (application) identifier string.
struct sk_enroll_response | key
| Embedded enrollment response containing key material.
uint8_t | flags
| Flags associated with this resident key.
uint8_t * | user_id
| User identifier associated with this resident key.
size_t | user_id_len
| Length of user_id buffer in bytes.

## Detailed Description

Structure representing a resident/discoverable credential.

Represents a FIDO2 resident key (discoverable credential) that is stored on the authenticator and can be discovered without providing a credential ID.

## Field Documentation

## ◆ alg

uint32_t sk_resident_key::alg

Cryptographic algorithm identifier for this key.

SSH_SK_ECDSA (0x00): ECDSA with P-256 curve SSH_SK_ED25519 (0x01): Ed25519 signature algorithm

## ◆ application

char* sk_resident_key::application

Relying Party (application) identifier string.

The RP ID (typically a domain name) that this resident key is associated with. Determines which application/service this key can be used for.

## ◆ flags

uint8_t sk_resident_key::flags

Flags associated with this resident key.

SSH_SK_USER_PRESENCE_REQD: Requires user presence for operations SSH_SK_USER_VERIFICATION_REQD: Requires user verification (PIN/biometric)

## ◆ key

struct sk_enroll_response sk_resident_key::key

Embedded enrollment response containing key material.

Contains the same data as returned during initial enrollment, including public key, key handle, and associated metadata.

## ◆ slot

size_t sk_resident_key::slot

Slot/index number of this key on the authenticator.

Zero-based index indicating the position of this resident key in the authenticator's internal storage. Used for key management and identification when multiple resident keys exist.

## ◆ user_id

uint8_t* sk_resident_key::user_id

User identifier associated with this resident key.

Binary user ID that was provided during key enrollment. Used to identify which user account this key belongs to.

## ◆ user_id_len

size_t sk_resident_key::user_id_len

Length of user_id buffer in bytes.

Length of the user identifier.

The documentation for this struct was generated from the following file:

- /build/libssh/src/libssh-0.12.2/include/libssh/sk_api.h